## hyphy 2.5.28+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project(HyPhy)
cmake_policy(VERSION 3.0.0)

enable_testing()

set(CMAKE_CONFIGURATION_TYPES Release)

#-------------------------------------------------------------------------------
# OPTIONS
#-------------------------------------------------------------------------------

option(NOAVX OFF)
option(NOSSE3 OFF)
option(NONEON OFF)

#-------------------------------------------------------------------------------
# SSE MACROS
#-------------------------------------------------------------------------------

macro(PCL_CHECK_FOR_SSE3)
  include(CheckCXXSourceRuns)
  set(CMAKE_REQUIRED_FLAGS)

  #if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)
      set(CMAKE_REQUIRED_FLAGS "-msse3")
  #endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)

  check_cxx_source_runs("
      #include <pmmintrin.h>
      #include <stdio.h>

      int main ()
      {
          __m128d a, b;
          double vals[2] = {0};
          a = _mm_loadu_pd (vals);
          b = _mm_hadd_pd (a,a);
          _mm_storeu_pd (vals, b);
          printf (\"%g\", vals[0]);
          return (0);
      }"
      HAVE_SSE3_EXTENSIONS)
endmacro(PCL_CHECK_FOR_SSE3)

#-------------------------------------------------------------------------------
# NEON MACROS
#-------------------------------------------------------------------------------

macro(PCL_CHECK_FOR_NEON)
	  include(CheckCXXSourceRuns)
	  set(CMAKE_REQUIRED_FLAGS)

	  #if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)
		  set(CMAKE_REQUIRED_FLAGS "-msse3")
	  #endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)

	  check_cxx_source_runs("
		#include <stdio.h>
		#include <arm_neon.h>
		int main() {
			double array[4] = {4.,2.,3.,4};
			float64x2_t a1 = vld1q_f64 (array),
						a2 = vld1q_f64 (array+2);
			a1 = vmulq_f64  (a1,a2);
			vst1q_lane_f64 (array, a1, 0);
			printf (\"%g\", array[0]);
			return 0;
	   }"
       HAVE_NEON_EXTENSIONS)
endmacro(PCL_CHECK_FOR_NEON)


#-------------------------------------------------------------------------------
# SSE MACROS
#-------------------------------------------------------------------------------

macro(PCL_CHECK_FOR_AVX)
  include(CheckCXXSourceRuns)
  set(CMAKE_REQUIRED_FLAGS)

  #if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)
      set(CMAKE_REQUIRED_FLAGS "-mavx")
  #endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)

  check_cxx_source_runs("
      #include <immintrin.h>
      #include <stdio.h>

      int main ()
      {
          __m256d a, b;
          double vals[4] = {0.};
          a = _mm256_loadu_pd (vals);
          b = _mm256_hadd_pd (a,a);
          _mm256_storeu_pd (vals, b);
          printf (\"%g\", vals[0]);
          return (0);
      }"
      HAVE_AVX_EXTENSIONS)
endmacro(PCL_CHECK_FOR_AVX)

#-------------------------------------------------------------------------------
# FMA3 MACROS
#-------------------------------------------------------------------------------

macro(PCL_CHECK_FOR_FMA3)
    include(CheckCXXSourceRuns)
    set(CMAKE_REQUIRED_FLAGS)

    #if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)
        set(CMAKE_REQUIRED_FLAGS "-mavx -mfma ")
    #endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)

    check_cxx_source_runs("
    #include <immintrin.h>
    #include <stdio.h>

    int main ()
    {
        __m256d a, b, c;
        double vals[4] = {2.};
        a = _mm256_loadu_pd (vals);
        b = _mm256_loadu_pd (vals);
        c = _mm256_loadu_pd (vals);
        a = _mm256_fmadd_pd      (a, b, c);
        _mm256_storeu_pd (vals, a);
        printf (\"%g\", vals[0]);
        return 0;
    }"
    HAVE_FMA3)
endmacro(PCL_CHECK_FOR_FMA3)


#-------------------------------------------------------------------------------
# set the CMAKE_MODULE_PATH so we can import OpenCL
#-------------------------------------------------------------------------------
set(CMAKE_MODULE_PATH cmake)
set(HYPHY_VERSION 2.1)

#-------------------------------------------------------------------------------
# setup the files we'll be using
#-------------------------------------------------------------------------------
file(GLOB SRC_CORE src/core/*.cpp)
file(GLOB SRC_NEW src/new/*.cpp)
file(GLOB SRC_CONTRIB src/contrib/*.cpp)

set(SRC_LINK src/lib/link/THyPhy.cpp)
set(SRC_SQLITE3 contrib/SQLite-3.8.2/sqlite3.c)
set(SRC_UNIXMAIN src/mains/unix.cpp)
set(SRC_UTILS src/utils/hyphyunixutils.cpp)


set(SRC_COMMON ${SRC_CORE} ${SRC_NEW} ${SRC_SQLITE3} ${SRC_UTILS} ${SRC_CONTRIB})
set_source_files_properties(${SRC_CORE} ${SRC_NEW} {SRC_UTILS} PROPERTIES COMPILE_FLAGS "-Weffc++ -Wextra -Wall")

#-------------------------------------------------------------------------------
# make it fast, scotty
#-------------------------------------------------------------------------------

set(DEFAULT_WARNING_FLAGS " -w  ")
set(DEFAULT_DEBUG_WARNING_FLAGS "-Wall -Wno-int-to-pointer-cast -Wno-conversion-null -Wno-sign-compare -Wno-maybe-uninitialized")



if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
     execute_process(
        COMMAND ${CMAKE_CXX_COMPILER} -dumpversion
        OUTPUT_VARIABLE GCC_VERSION
    )

    if (${GCC_VERSION} VERSION_LESS 4.9)
        message(FATAL_ERROR "Require at least gcc-4.9")
    endif()

    if(${GCC_VERSION} VERSION_LESS 6.0)
      set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -std=gnu++14 ")
    else(${GCC_VERSION} VERSION_LESS 6.0)
      set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -std=c++14")
    endif(${GCC_VERSION} VERSION_LESS 6.0)

    #set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS}  -fopt-info")

    if(NOAVX)
        set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mno-avx")
        if(NOSSE3)
            set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mno-sse3")
        else(NOSSE3)
            PCL_CHECK_FOR_SSE3()
            if(${HAVE_SSE3_EXTENSIONS})
                add_definitions (-D_SLKP_USE_SSE_INTRINSICS)
                set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse3 ")
            endif(${HAVE_SSE3_EXTENSIONS})
        endif(NOSSE3)
    else(NOAVX)
       PCL_CHECK_FOR_AVX()
       if(${HAVE_AVX_EXTENSIONS})
            set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -march=native -mtune=native -mavx")
            add_definitions (-D_SLKP_USE_AVX_INTRINSICS)
            PCL_CHECK_FOR_FMA3()
            if (${HAVE_FMA3})
                set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS}  -mfma")
                add_definitions (-D_SLKP_USE_FMA3_INTRINSICS)
            endif (${HAVE_FMA3})
        else(${HAVE_AVX_EXTENSIONS})
            PCL_CHECK_FOR_SSE3()
            if(${HAVE_SSE3_EXTENSIONS})
                add_definitions (-D_SLKP_USE_SSE_INTRINSICS)
                set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse3 ")
            endif(${HAVE_SSE3_EXTENSIONS})
        endif(${HAVE_AVX_EXTENSIONS})
    endif(NOAVX)


    set(DEFAULT_LINK_FLAGS "${DEFAULT_COMPILE_FLAGS}")
endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)

if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    #set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3  -fsave-optimization-record=yaml ")
    set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 ")
    if(NOAVX)
        if(NOSSE3)
            set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mno-sse3")
        else(NOSSE3)
            PCL_CHECK_FOR_SSE3()
            if(${HAVE_SSE3_EXTENSIONS})
                add_definitions (-D_SLKP_USE_SSE_INTRINSICS)
                set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse3 ")
            endif(${HAVE_SSE3_EXTENSIONS})
        endif(NOSSE3)
    else(NOAVX)
        PCL_CHECK_FOR_AVX()
        if(${HAVE_AVX_EXTENSIONS})
            set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -march=native -mtune=native -mavx")
            add_definitions (-D_SLKP_USE_AVX_INTRINSICS)
            PCL_CHECK_FOR_FMA3()
            if (${HAVE_FMA3})
                set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mfma")
                add_definitions (-D_SLKP_USE_FMA3_INTRINSICS)
            endif (${HAVE_FMA3})
        else(${HAVE_AVX_EXTENSIONS})
            PCL_CHECK_FOR_SSE3()
            if(${HAVE_SSE3_EXTENSIONS})
                add_definitions (-D_SLKP_USE_SSE_INTRINSICS)
                set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse3 ")
            endif(${HAVE_SSE3_EXTENSIONS})
        endif (${HAVE_AVX_EXTENSIONS})
    endif(NOAVX)
    
	if(NOT NONEON)
		PCL_CHECK_FOR_NEON()
		if(${HAVE_NEON_EXTENSIONS})
			add_definitions (-D_SLKP_USE_ARM_NEON)
		endif(${HAVE_NEON_EXTENSIONS})
	endif(NOT NONEON)

    set_property(
     SOURCE ${SRC_CORE} ${SRC_NEW} ${SRC_UTILS} ${SRC_UNIXMAIN}
     APPEND_STRING PROPERTY  COMPILE_FLAGS " -std=c++14 "
    )
endif (CMAKE_CXX_COMPILER_ID MATCHES "Clang")

#set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS}  -fopt-info -fopt-info-vec-missed")
set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS}")
MESSAGE ("Set compiler flags to ${DEFAULT_COMPILE_FLAGS}")

if(NOT DEFINED DEFAULT_COMPILE_FLAGS)
    set(DEFAULT_COMPILE_FLAGS "")
endif(NOT DEFINED DEFAULT_COMPILE_FLAGS)

if(NOT DEFINED DEFAULT_LINK_FLAGS)
    set(DEFAULT_LINK_FLAGS "")
endif(NOT DEFINED DEFAULT_LINK_FLAGS)

set(DEFAULT_LINK_FLAGS "${DEFAULT_LINK_FLAGS}  ")

if(NOT DEFINED DEFAULT_WARNING_FLAGS)
    set(DEFAULT_WARNING_FLAGS "")
endif(NOT DEFINED DEFAULT_WARNING_FLAGS)


#-------------------------------------------------------------------------------
# OpenMP support
#-------------------------------------------------------------------------------
find_package(OpenMP)

#-------------------------------------------------------------------------------
# default installation prefix
#-------------------------------------------------------------------------------
if(NOT DEFINED CMAKE_INSTALL_PREFIX)
    set(CMAKE_INSTALL_PREFIX "/usr/local" CACHE PATH "Installation prefix")
endif()
if(NOT DEFINED INSTALL_PREFIX)
    set(INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE INTERNAL "Installation prefix" FORCE)
endif()

if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
	set(DEFAULT_LIBRARIES )
else(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
    set(DEFAULT_LIBRARIES dl)
endif(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")

#-------------------------------------------------------------------------------
# LIBCurl support
#-------------------------------------------------------------------------------
find_package(CURL)
if(${CURL_FOUND} AND NOT APPLE)
    if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
        set(DEFAULT_LIBRARIES crypto curl ssl)
    else(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
        set(DEFAULT_LIBRARIES dl crypto curl ssl)
    endif(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
    add_definitions (-D__HYPHYCURL__)
endif(${CURL_FOUND} AND NOT APPLE)



#-------------------------------------------------------------------------------
# uninstall target
#-------------------------------------------------------------------------------
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY
)
add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

find_program(NODE npm)
if(NOT NODE)
    message("Node not installed; API documentation will not be generated")
else(NOT NODE)
    add_custom_target(
        docs
        rm -rf ./docs && npm install -g documentation@4 && documentation build --polyglot -f md ./res/TemplateBatchFiles/libv3/**/*.bf -o ./docs.md
    )
endif(NOT NODE)


#-------------------------------------------------------------------------------
# setup some source properties so that we don't spam stdout
#-------------------------------------------------------------------------------
set_property(
    SOURCE ${SRC_CORE}

=== debian/changelog ===
hyphy (2.5.28+dfsg-3) unstable; urgency=medium

  * d/*.maintscript: handle symbolic link removal in hyphy 2.5.18+dfsg-1.
    Closes: #985284

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Tue, 16 Mar 2021 21:52:00 +0100

hyphy (2.5.28+dfsg-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: set LC_ALL to fix groff warnings in the manpages
  * debian/patches/spelling: fix some typos
  * debian/rules: delete erroneous rpath for the MPI binaries
  * debian/rules: improve the clean target

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 20 Feb 2021 10:57:19 +0100

hyphy (2.5.28+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debian/tests/run-unit-tests: don't skip four tests that are now passing

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 19 Feb 2021 17:15:31 +0100

=== debian/control ===
Source: hyphy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Étienne Mollier <etienne.mollier@mailoo.org>,
           Nilesh Patra <npatra974@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               mpi-default-dev,
               libcurl4-gnutls-dev | libcurl4-dev,
               libssl-dev,
               libsqlite3-dev,
               pkg-config,
               chrpath
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/hyphy
Vcs-Git: https://salsa.debian.org/med-team/hyphy.git
Homepage: https://hyphy.org/
Rules-Requires-Root: no

Package: hyphy-pt
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         hyphy-common (= ${source:Version})
Description: Hypothesis testing using Phylogenies (pthreads version)
 HyPhy is an open-source software package for the analysis of genetic
 sequences using techniques in phylogenetics, molecular evolution, and
 machine learning. It features a complete graphical user interface (GUI)
 and a rich scripting language for limitless customization of analyses.
 Additionally, HyPhy features support for parallel computing environments
 (via message passing interface) and it can be compiled as a shared
 library and called from other programming environments such as Python or
 R.  Continued development of HyPhy is currently supported in part by an
 NIGMS R01 award 1R01GM093939.
 .
 This package provides an executable using pthreads to do multiprocessing.

Package: hyphy-mpi
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         hyphy-common (= ${source:Version})
Description: Hypothesis testing using Phylogenies (MPI version)
 HyPhy is an open-source software package for the analysis of genetic
 sequences using techniques in phylogenetics, molecular evolution, and
 machine learning. It features a complete graphical user interface (GUI)
 and a rich scripting language for limitless customization of analyses.
 Additionally, HyPhy features support for parallel computing environments
 (via message passing interface) and it can be compiled as a shared
 library and called from other programming environments such as Python or
 R.  Continued development of HyPhy is currently supported in part by an
 NIGMS R01 award 1R01GM093939.
 .
 This package provides an executable using MPI to do multiprocessing.

Package: hyphy-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: hyphygui | hyphy-mpi | hyphy-pt
Description: Hypothesis testing using Phylogenies (common files)
 HyPhy is an open-source software package for the analysis of genetic
 sequences using techniques in phylogenetics, molecular evolution, and
 machine learning. It features a complete graphical user interface (GUI)
 and a rich scripting language for limitless customization of analyses.
 Additionally, HyPhy features support for parallel computing environments
 (via message passing interface) and it can be compiled as a shared
 library and called from other programming environments such as Python or
 R.  Continued development of HyPhy is currently supported in part by an
 NIGMS R01 award 1R01GM093939.
 .
 This package provides files that are common to all binary versions.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

# a few ISO-8859-1 files needing conversion to UTF-8
ISOFILES  = res/TemplateBatchFiles/PARRIS.bf
ISOFILES += res/TemplateBatchFiles/TemplateModels/MEC.mdl
ISOFILES += res/TemplateBatchFiles/TemplateModels/models.lst

%:
	dh $@ --buildsystem=cmake

override_dh_auto_clean:
ifeq (amd64,$(DEB_HOST_ARCH))
	dh_auto_clean --builddirectory obj-avx
	dh_auto_clean --builddirectory obj-sse3
endif
	dh_auto_clean

override_dh_auto_configure:
ifeq (amd64,$(DEB_HOST_ARCH))
	dh_auto_configure -- -DINSTALL_PREFIX=/usr -DNOAVX=ON -DNOSSE3=ON
	dh_auto_configure --builddirectory obj-avx -- -DINSTALL_PREFIX=/usr -DNOAVX=OFF -DNOSSE3=OFF
	dh_auto_configure --builddirectory obj-sse3 -- -DINSTALL_PREFIX=/usr -DNOAVX=ON -DNOSSE3=OFF
else
	dh_auto_configure -- -DINSTALL_PREFIX=/usr -DNOAVX=ON -DNOSSE3=ON
endif

override_dh_auto_build:
	# convert a few ISO-8859-1 files to address national-encoding
	set -e \
	; for file in $(ISOFILES) \
	; do    iconv -f ISO-8859-1 -t UTF-8 < $${file} > "$${file}.new" \
	;	mv "$${file}.new" "$${file}" \
	; done
ifeq (amd64,$(DEB_HOST_ARCH))
	dh_auto_build -- MP MPI
	dh_auto_build --builddirectory obj-avx -- MP MPI
	dh_auto_build --builddirectory obj-sse3 -- MP MPI
else
	dh_auto_build -- MP MPI
endif

override_dh_install-arch:
	dh_install -a
	chrpath --delete obj-*/HYPHYMPI
ifeq (amd64,$(DEB_HOST_ARCH))
	mkdir -p debian/hyphy-mpi/usr/lib/$(DEB_SOURCE)/bin
	mkdir -p debian/hyphy-pt/usr/lib/$(DEB_SOURCE)/bin
	cp obj-avx/HYPHYMPI debian/hyphy-mpi/usr/lib/$(DEB_SOURCE)/bin/HYPHYMPI-avx
	cp obj-sse3/HYPHYMPI debian/hyphy-mpi/usr/lib/$(DEB_SOURCE)/bin/HYPHYMPI-sse3
	cp obj-avx/hyphy debian/hyphy-pt/usr/lib/$(DEB_SOURCE)/bin/hyphy-avx
	cp obj-sse3/hyphy debian/hyphy-pt/usr/lib/$(DEB_SOURCE)/bin/hyphy-sse3
	mv debian/hyphy-mpi/usr/bin/HYPHYMPI debian/hyphy-mpi/usr/lib/$(DEB_SOURCE)/bin/
	mv debian/hyphy-pt/usr/bin/hyphy debian/hyphy-pt/usr/lib/$(DEB_SOURCE)/bin/
	cd $(CURDIR)/debian/hyphy-mpi/usr/bin && \
		ln -s ../lib/$(DEB_SOURCE)/bin/simd-dispatch HYPHYMPI
	cd $(CURDIR)/debian/hyphy-pt/usr/bin && \
		ln -s ../lib/$(DEB_SOURCE)/bin/simd-dispatch hyphy
endif

override_dh_install-indep:
	dh_install -i
ifeq (amd64,$(DEB_HOST_ARCH))
	dh_install -phyphy-common debian/bin/simd-dispatch /usr/lib/$(DEB_SOURCE)/bin
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
ifeq (amd64,$(DEB_HOST_ARCH))
	set -e ; for SIMD in avx sse3 ; do \
		if lscpu | grep -q $${SIMD} ; then \
			find "obj-$${SIMD}/" \
			-not -path "*/CMakeFiles/*" \
			-type f,l \
			-executable \
			-exec cp -v '{}' . \; && \
			./run_unit_tests.sh ; \
		fi ; \
	done
endif
	find "obj-$(DEB_HOST_GNU_TYPE)/" \
		-not -path "*/CMakeFiles/*" \
		-type f,l \
		-executable \
		-exec cp -v '{}' . \;
	./run_unit_tests.sh
endif

override_dh_installdocs-arch:
	dh_installdocs -a
	for news in debian/NEWS.Debian.* ; do \
	    pkg=`echo $${news} | sed 's/.*NEWS.Debian.//'` ; \
	    cp -a $${news} debian/$${pkg}/usr/share/doc/$${pkg}/NEWS.Debian ; \
	done

override_dh_installdocs-indep:
	dh_installdocs -i

## hyphy 2.5.32+dfsg

=== debian/changelog ===
hyphy (2.5.32+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.32+dfsg
  * Refresh d/p/use_debian_sqlite.patch, do not impose ZLIB
    changes on the same patch so as to avoid confusion
  * d/p/set-zlib-after-setting-default-libs.patch: Check for existence
    of ZLIB *after* DEFAULT_LIBRARIES have been set

 -- Nilesh Patra <nilesh@debian.org>  Wed, 25 Aug 2021 19:44:43 +0530

hyphy (2.5.31+dfsg-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Removed spelling patch, it was merged upstream

  [ Étienne Mollier ]
  * Remove d/*.maintscriptsL: these have been brought in
    the earlier release of hyphy 2.5.28+dfsg-3
  * d/control: update uploader address
  * d/watch: fix broken link to github

  [ Nilesh Patra ]
  * d/watch: Fix watch regex
  * New upstream version 2.5.31+dfsg
  * d/p/*.patch: Refresh patches
  * d/p/use_debian_sqlite.patch: Check for existence of
    ZLIB *after* DEFAULT_LIBRARIES have been set
  * Fix copyright

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 19:06:23 +0530

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: hyphy
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Étienne Mollier <etienne.mollier@mailoo.org>,
-           Nilesh Patra <npatra974@gmail.com>
+           Étienne Mollier <emollier@debian.org>,
+           Nilesh Patra <nilesh@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

## hyphy 2.5.33+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 cmake_policy(VERSION 3.0.0)
 
 enable_testing()
+#enable_language(Fortran)
 
 set(CMAKE_CONFIGURATION_TYPES Release)
 
@@ -13,6 +14,7 @@
 option(NOAVX OFF)
 option(NOSSE3 OFF)
 option(NONEON OFF)
+option(NOZLIB OFF)
 
 #-------------------------------------------------------------------------------
 # SSE MACROS
@@ -304,16 +306,20 @@
 # LIBCurl support
 #-------------------------------------------------------------------------------
 find_package(CURL)
-if(${CURL_FOUND} AND NOT APPLE)
-    if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
-        set(DEFAULT_LIBRARIES crypto curl ssl)
-    else(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
-        set(DEFAULT_LIBRARIES dl crypto curl ssl)
-    endif(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
+if(${CURL_FOUND})
+    message(${CURL_LIBRARIES})
+    list(APPEND DEFAULT_LIBRARIES ${CURL_LIBRARIES})
     add_definitions (-D__HYPHYCURL__)
-endif(${CURL_FOUND} AND NOT APPLE)
-
-
+endif(${CURL_FOUND})
+
+if(NOT NOZLIB)
+	find_package(ZLIB 1.2.9)
+	if(${ZLIB_FOUND})
+                list(APPEND DEFAULT_LIBRARIES ${ZLIB_LIBRARIES})
+                include_directories(${ZLIB_INCLUDE_DIRS})
+		add_definitions (-D__ZLIB__)
+	endif(${ZLIB_FOUND})
+endif(NOT NOZLIB)
 
 #-------------------------------------------------------------------------------
 # uninstall target
@@ -340,6 +346,3 @@
 
 #-------------------------------------------------------------------------------
 # setup some source properties so that we don't spam stdout
-#-------------------------------------------------------------------------------
-set_property(
-    SOURCE ${SRC_CORE}

=== debian/changelog ===
hyphy (2.5.33+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 19 Oct 2021 10:07:52 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libsqlite3-dev,
                pkg-config,
                chrpath
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/hyphy
 Vcs-Git: https://salsa.debian.org/med-team/hyphy.git
 Homepage: https://hyphy.org/

## hyphy 2.5.36+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -52,10 +52,6 @@
 macro(PCL_CHECK_FOR_NEON)
 	  include(CheckCXXSourceRuns)
 	  set(CMAKE_REQUIRED_FLAGS)
-
-	  #if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)
-		  set(CMAKE_REQUIRED_FLAGS "-msse3")
-	  #endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)
 
 	  check_cxx_source_runs("
 		#include <stdio.h>
@@ -212,6 +208,13 @@
             endif(${HAVE_SSE3_EXTENSIONS})
         endif(${HAVE_AVX_EXTENSIONS})
     endif(NOAVX)
+
+	if(NOT NONEON)
+		PCL_CHECK_FOR_NEON()
+		if(${HAVE_NEON_EXTENSIONS})
+			add_definitions (-D_SLKP_USE_ARM_NEON)
+		endif(${HAVE_NEON_EXTENSIONS})
+	endif(NOT NONEON)
 
 
     set(DEFAULT_LINK_FLAGS "${DEFAULT_COMPILE_FLAGS}")

=== debian/changelog ===
hyphy (2.5.36+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Fri, 11 Feb 2022 13:35:31 +0100

=== debian/control ===
--- 
+++ 
@@ -59,7 +59,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Suggests: hyphygui | hyphy-mpi | hyphy-pt
+Suggests: hyphy-mpi | hyphy-pt
 Description: Hypothesis testing using Phylogenies (common files)
  HyPhy is an open-source software package for the analysis of genetic
  sequences using techniques in phylogenetics, molecular evolution, and

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/veg/hyphy/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## hyphy 2.5.38+dfsg

=== debian/changelog ===
hyphy (2.5.38+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 02 May 2022 12:18:35 +0200

## hyphy 2.5.39+dfsg

=== debian/changelog ===
hyphy (2.5.39+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Proper filename for upstream tarball

  [ Étienne Mollier ]
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Tue, 31 May 2022 19:37:50 +0200

## hyphy 2.5.40+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -267,7 +267,7 @@
 
 #set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS}  -fopt-info -fopt-info-vec-missed")
 set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS}")
-MESSAGE ("Set compiler flags to ${DEFAULT_COMPILE_FLAGS}")
+MESSAGE ("Set default compiler flags to ${DEFAULT_COMPILE_FLAGS}")
 
 if(NOT DEFINED DEFAULT_COMPILE_FLAGS)
     set(DEFAULT_COMPILE_FLAGS "")

=== debian/changelog ===
hyphy (2.5.40+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.40+dfsg
  * d/*.lintian-overrides: refresh overrides to new convention.

 -- Étienne Mollier <emollier@debian.org>  Fri, 15 Jul 2022 10:08:29 +0200

## hyphy 2.5.41+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -289,6 +289,11 @@
 #-------------------------------------------------------------------------------
 find_package(OpenMP)
 
+# emulate missing OpenMP for testing
+
+#set (OPENMP_FOUND FALSE)
+#set (OpenMP_CXX_FLAGS "")
+
 #-------------------------------------------------------------------------------
 # default installation prefix
 #-------------------------------------------------------------------------------
@@ -348,4 +353,3 @@
 
 
 #-------------------------------------------------------------------------------
-# setup some source properties so that we don't spam stdout

=== debian/changelog ===
hyphy (2.5.41+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 24 Aug 2022 14:08:01 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libsqlite3-dev,
                pkg-config,
                chrpath
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/hyphy
 Vcs-Git: https://salsa.debian.org/med-team/hyphy.git
 Homepage: https://hyphy.org/

## hyphy 2.5.42+dfsg

=== debian/changelog ===
hyphy (2.5.42+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 22 Sep 2022 09:13:46 +0200

## hyphy 2.5.46+dfsg

=== debian/changelog ===
hyphy (2.5.46+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 15:50:21 +0100

## hyphy 2.5.47+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 #-------------------------------------------------------------------------------
 
 option(NOAVX OFF)
-option(NOSSE3 OFF)
+option(NOSSE4 OFF)
 option(NONEON OFF)
 option(NOZLIB OFF)
 
@@ -20,16 +20,16 @@
 # SSE MACROS
 #-------------------------------------------------------------------------------
 
-macro(PCL_CHECK_FOR_SSE3)
+macro(PCL_CHECK_FOR_SSE4)
   include(CheckCXXSourceRuns)
   set(CMAKE_REQUIRED_FLAGS)
 
   #if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)
-      set(CMAKE_REQUIRED_FLAGS "-msse3")
+      set(CMAKE_REQUIRED_FLAGS "-msse4.1")
   #endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)
 
   check_cxx_source_runs("
-      #include <pmmintrin.h>
+      #include <smmintrin.h>
       #include <stdio.h>
 
       int main ()
@@ -38,12 +38,12 @@
           double vals[2] = {0};
           a = _mm_loadu_pd (vals);
           b = _mm_hadd_pd (a,a);
-          _mm_storeu_pd (vals, b);
+          _mm_storeu_pd (vals, _mm_blend_pd (a,b,2));
           printf (\"%g\", vals[0]);
           return (0);
       }"
-      HAVE_SSE3_EXTENSIONS)
-endmacro(PCL_CHECK_FOR_SSE3)
+      HAVE_SSE4_EXTENSIONS)
+endmacro(PCL_CHECK_FOR_SSE4)
 
 #-------------------------------------------------------------------------------
 # NEON MACROS
@@ -78,7 +78,7 @@
   set(CMAKE_REQUIRED_FLAGS)
 
   #if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)
-      set(CMAKE_REQUIRED_FLAGS "-mavx")
+      set(CMAKE_REQUIRED_FLAGS "-mavx2")
   #endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)
 
   check_cxx_source_runs("
@@ -90,7 +90,7 @@
           __m256d a, b;
           double vals[4] = {0.};
           a = _mm256_loadu_pd (vals);
-          b = _mm256_hadd_pd (a,a);
+          b = _mm256_permute4x64_pd (_mm256_hadd_pd (a,a), 2);
           _mm256_storeu_pd (vals, b);
           printf (\"%g\", vals[0]);
           return (0);
@@ -107,7 +107,7 @@
     set(CMAKE_REQUIRED_FLAGS)
 
     #if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)
-        set(CMAKE_REQUIRED_FLAGS "-mavx -mfma ")
+        set(CMAKE_REQUIRED_FLAGS "-mavx2 -mfma ")
     #endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANG)
 
     check_cxx_source_runs("
@@ -152,6 +152,7 @@
 set(SRC_COMMON ${SRC_CORE} ${SRC_NEW} ${SRC_SQLITE3} ${SRC_UTILS} ${SRC_CONTRIB})
 set_source_files_properties(${SRC_CORE} ${SRC_NEW} {SRC_UTILS} PROPERTIES COMPILE_FLAGS "-Weffc++ -Wextra -Wall")
 
+
 #-------------------------------------------------------------------------------
 # make it fast, scotty
 #-------------------------------------------------------------------------------
@@ -172,28 +173,28 @@
     endif()
 
     if(${GCC_VERSION} VERSION_LESS 6.0)
-      set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -std=gnu++14 ")
+      set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -std=gnu++14 -g ")
     else(${GCC_VERSION} VERSION_LESS 6.0)
-      set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -std=c++14")
+      set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -std=c++14 -g")
     endif(${GCC_VERSION} VERSION_LESS 6.0)
 
     #set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS}  -fopt-info")
 
     if(NOAVX)
         set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mno-avx")
-        if(NOSSE3)
+        if(NOSSE4)
             set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mno-sse3")
-        else(NOSSE3)
-            PCL_CHECK_FOR_SSE3()
-            if(${HAVE_SSE3_EXTENSIONS})
+        else(NOSSE4)
+            PCL_CHECK_FOR_SSE4()
+            if(${HAVE_SSE4_EXTENSIONS})
                 add_definitions (-D_SLKP_USE_SSE_INTRINSICS)
-                set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse3 ")
-            endif(${HAVE_SSE3_EXTENSIONS})
-        endif(NOSSE3)
+                set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse4.1 ")
+            endif(${HAVE_SSE4_EXTENSIONS})
+        endif(NOSSE4)
     else(NOAVX)
        PCL_CHECK_FOR_AVX()
        if(${HAVE_AVX_EXTENSIONS})
-            set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -march=native -mtune=native -mavx")
+            set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -march=native -mtune=native -mavx2")
             add_definitions (-D_SLKP_USE_AVX_INTRINSICS)
             PCL_CHECK_FOR_FMA3()
             if (${HAVE_FMA3})
@@ -201,14 +202,14 @@
                 add_definitions (-D_SLKP_USE_FMA3_INTRINSICS)
             endif (${HAVE_FMA3})
         else(${HAVE_AVX_EXTENSIONS})
-            PCL_CHECK_FOR_SSE3()
-            if(${HAVE_SSE3_EXTENSIONS})
+            PCL_CHECK_FOR_SSE4()
+            if(${HAVE_SSE4_EXTENSIONS})
                 add_definitions (-D_SLKP_USE_SSE_INTRINSICS)
-                set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse3 ")
-            endif(${HAVE_SSE3_EXTENSIONS})
+                set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse4.1 ")
+            endif(${HAVE_SSE4_EXTENSIONS})
         endif(${HAVE_AVX_EXTENSIONS})
     endif(NOAVX)
-
+    	
 	if(NOT NONEON)
 		PCL_CHECK_FOR_NEON()
 		if(${HAVE_NEON_EXTENSIONS})
@@ -216,7 +217,6 @@
 		endif(${HAVE_NEON_EXTENSIONS})
 	endif(NOT NONEON)
 
-
     set(DEFAULT_LINK_FLAGS "${DEFAULT_COMPILE_FLAGS}")
 endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
 
@@ -224,19 +224,19 @@
     #set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3  -fsave-optimization-record=yaml ")
     set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 ")
     if(NOAVX)
-        if(NOSSE3)
+        if(NOSSE4)
             set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mno-sse3")
-        else(NOSSE3)
-            PCL_CHECK_FOR_SSE3()
-            if(${HAVE_SSE3_EXTENSIONS})
+        else(NOSSE4)
+            PCL_CHECK_FOR_SSE4()
+            if(${HAVE_SSE4_EXTENSIONS})
                 add_definitions (-D_SLKP_USE_SSE_INTRINSICS)
-                set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse3 ")
-            endif(${HAVE_SSE3_EXTENSIONS})
-        endif(NOSSE3)
+                set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse4.1 ")
+            endif(${HAVE_SSE4_EXTENSIONS})
+        endif(NOSSE4)
     else(NOAVX)
         PCL_CHECK_FOR_AVX()
         if(${HAVE_AVX_EXTENSIONS})
-            set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -march=native -mtune=native -mavx")
+            set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -march=native -mtune=native -mavx2")
             add_definitions (-D_SLKP_USE_AVX_INTRINSICS)
             PCL_CHECK_FOR_FMA3()
             if (${HAVE_FMA3})
@@ -244,11 +244,11 @@
                 add_definitions (-D_SLKP_USE_FMA3_INTRINSICS)
             endif (${HAVE_FMA3})
         else(${HAVE_AVX_EXTENSIONS})
-            PCL_CHECK_FOR_SSE3()
-            if(${HAVE_SSE3_EXTENSIONS})
+            PCL_CHECK_FOR_SSE4()
+            if(${HAVE_SSE4_EXTENSIONS})
                 add_definitions (-D_SLKP_USE_SSE_INTRINSICS)
-                set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse3 ")
-            endif(${HAVE_SSE3_EXTENSIONS})
+                set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse4.1 ")
+            endif(${HAVE_SSE4_EXTENSIONS})
         endif (${HAVE_AVX_EXTENSIONS})
     endif(NOAVX)
     
@@ -329,6 +329,8 @@
 	endif(${ZLIB_FOUND})
 endif(NOT NOZLIB)
 
+
+
 #-------------------------------------------------------------------------------
 # uninstall target
 #-------------------------------------------------------------------------------
@@ -352,4 +354,3 @@
 endif(NOT NODE)
 
 
-#-------------------------------------------------------------------------------

=== debian/changelog ===
hyphy (2.5.47+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 05 Feb 2023 20:48:53 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libsqlite3-dev,
                pkg-config,
                chrpath
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/hyphy
 Vcs-Git: https://salsa.debian.org/med-team/hyphy.git
 Homepage: https://hyphy.org/

## hyphy 2.5.50+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -89,7 +89,7 @@
       {
           __m256d a, b;
           double vals[4] = {0.};
-          a = _mm256_loadu_pd (vals);
+          a = _mm256_loadu2_m128d (vals, vals+2);
           b = _mm256_permute4x64_pd (_mm256_hadd_pd (a,a), 2);
           _mm256_storeu_pd (vals, b);
           printf (\"%g\", vals[0]);
@@ -173,9 +173,9 @@
     endif()
 
     if(${GCC_VERSION} VERSION_LESS 6.0)
-      set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -std=gnu++14 -g ")
+      set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -D_FORTIFY_SOURCE=2   -Wall -std=gnu++14 -g ")
     else(${GCC_VERSION} VERSION_LESS 6.0)
-      set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -std=c++14 -g")
+      set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -D_FORTIFY_SOURCE=2   -Wall -std=c++14 -g")
     endif(${GCC_VERSION} VERSION_LESS 6.0)
 
     #set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS}  -fopt-info")
@@ -222,7 +222,7 @@
 
 if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
     #set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3  -fsave-optimization-record=yaml ")
-    set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 ")
+    set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -D_FORTIFY_SOURCE=2   -Wall")
     if(NOAVX)
         if(NOSSE4)
             set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mno-sse3")
@@ -349,8 +349,3 @@
 else(NOT NODE)
     add_custom_target(
         docs
-        rm -rf ./docs && npm install -g documentation@4 && documentation build --polyglot -f md ./res/TemplateBatchFiles/libv3/**/*.bf -o ./docs.md
-    )
-endif(NOT NODE)
-
-

=== debian/changelog ===
hyphy (2.5.50+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.50+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Mon, 12 Jun 2023 17:45:32 +0000

## hyphy 2.5.51+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -157,7 +157,7 @@
 # make it fast, scotty
 #-------------------------------------------------------------------------------
 
-set(DEFAULT_WARNING_FLAGS " -w  ")
+set(DEFAULT_WARNING_FLAGS " -w -Weffc++ -Wextra -Wall ")
 set(DEFAULT_DEBUG_WARNING_FLAGS "-Wall -Wno-int-to-pointer-cast -Wno-conversion-null -Wno-sign-compare -Wno-maybe-uninitialized")
 
 
@@ -222,7 +222,7 @@
 
 if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
     #set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3  -fsave-optimization-record=yaml ")
-    set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -D_FORTIFY_SOURCE=2   -Wall")
+    set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -D_FORTIFY_SOURCE=2  -std=c++14 -Wall")
     if(NOAVX)
         if(NOSSE4)
             set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mno-sse3")

=== debian/changelog ===
hyphy (2.5.51+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.51+dfsg
  * Remove constraints unnecessary since bullseye (oldstable)
    * Remove 3 maintscript entries from 3 files.
    Changes-By: deb-scrub-obsolete
  * rm_arch_specific_flags.patch: refresh.
  * d/control: build now depends on swig.
  * d/control: build now depends on python3 sdk.
  * fix-configure-failure.patch: add: fix a cmake error.

 -- Étienne Mollier <emollier@debian.org>  Sun, 09 Jul 2023 14:29:23 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,9 @@
                libssl-dev,
                libsqlite3-dev,
                pkg-config,
+               libpython3-all-dev,
+               python3-all-dev:any,
+               swig,
                chrpath
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/hyphy

## hyphy 2.5.52+dfsg

=== debian/changelog ===
hyphy (2.5.52+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.52+dfsg
  * fix-configure-failure.patch: remove: fixed upstream.
  * d/control: remove build dependency on swig.

 -- Étienne Mollier <emollier@debian.org>  Sun, 13 Aug 2023 12:09:38 +0200

## hyphy 2.5.53+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,14 @@
 option(NOSSE4 OFF)
 option(NONEON OFF)
 option(NOZLIB OFF)
+
+
+if(CMAKE_SYSTEM_NAME STREQUAL "Emscripten")
+  set(NOAVX ON)
+  set(NOSSE4 ON)
+  set(NONEON ON)
+  set(NOZLIB ON)
+endif()
 
 #-------------------------------------------------------------------------------
 # SSE MACROS
@@ -346,6 +354,3 @@
 find_program(NODE npm)
 if(NOT NODE)
     message("Node not installed; API documentation will not be generated")
-else(NOT NODE)
-    add_custom_target(
-        docs

=== debian/changelog ===
hyphy (2.5.53+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.53+dfsg
  * d/{clean,rules}: fix building twice in a row.
    This is done by cleaning temporary test data and build results on one
    hand, and by fixing some national encoded files in their temporary
    installation location instead of within upstream source code on the
    other hand. (Closes: #1048874)

 -- Étienne Mollier <emollier@debian.org>  Sat, 26 Aug 2023 11:05:10 +0200

## hyphy 2.5.56+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,13 +16,15 @@
 option(NONEON OFF)
 option(NOZLIB OFF)
 
-
 if(CMAKE_SYSTEM_NAME STREQUAL "Emscripten")
-  set(NOAVX ON)
-  set(NOSSE4 ON)
-  set(NONEON ON)
-  set(NOZLIB ON)
-endif()
+   set(NOAVX ON)
+   #set(NOSSE4 ON)
+   set(NONEON ON)
+   set(NOZLIB ON)
+   set(LIBRARY_PATH "/hyphy")
+   #set(CMAKE_EXECUTABLE_SUFFIX ".html")
+   add_definitions (-D_USE_EMSCRIPTEN_)
+ endif()
 
 #-------------------------------------------------------------------------------
 # SSE MACROS
@@ -191,12 +193,17 @@
     if(NOAVX)
         set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mno-avx")
         if(NOSSE4)
-            set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mno-sse3")
+	        if(NOT CMAKE_SYSTEM_NAME STREQUAL "Emscripten")
+            	set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mno-sse3")
+            endif()
         else(NOSSE4)
             PCL_CHECK_FOR_SSE4()
             if(${HAVE_SSE4_EXTENSIONS})
                 add_definitions (-D_SLKP_USE_SSE_INTRINSICS)
                 set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse4.1 ")
+                if(CMAKE_SYSTEM_NAME STREQUAL "Emscripten")
+				 	set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msimd128 ")
+			    endif()
             endif(${HAVE_SSE4_EXTENSIONS})
         endif(NOSSE4)
     else(NOAVX)
@@ -214,6 +221,8 @@
             if(${HAVE_SSE4_EXTENSIONS})
                 add_definitions (-D_SLKP_USE_SSE_INTRINSICS)
                 set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse4.1 ")
+                
+
             endif(${HAVE_SSE4_EXTENSIONS})
         endif(${HAVE_AVX_EXTENSIONS})
     endif(NOAVX)
@@ -222,6 +231,7 @@
 		PCL_CHECK_FOR_NEON()
 		if(${HAVE_NEON_EXTENSIONS})
 			add_definitions (-D_SLKP_USE_ARM_NEON)
+
 		endif(${HAVE_NEON_EXTENSIONS})
 	endif(NOT NONEON)
 
@@ -233,13 +243,18 @@
     set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -D_FORTIFY_SOURCE=2  -std=c++14 -Wall")
     if(NOAVX)
         if(NOSSE4)
-            set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mno-sse3")
-        else(NOSSE4)
+	        if(NOT CMAKE_SYSTEM_NAME STREQUAL "Emscripten")
+            	set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mno-sse3")
+            endif()
+         else(NOSSE4)
             PCL_CHECK_FOR_SSE4()
-            if(${HAVE_SSE4_EXTENSIONS})
-                add_definitions (-D_SLKP_USE_SSE_INTRINSICS)
-                set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse4.1 ")
-            endif(${HAVE_SSE4_EXTENSIONS})
+ 			if("${HAVE_SSE4_EXTENSIONS}" OR ${CMAKE_SYSTEM_NAME} STREQUAL "Emscripten")
+				add_definitions (-D_SLKP_USE_SSE_INTRINSICS)
+				set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse4.1 ")
+				if(CMAKE_SYSTEM_NAME STREQUAL "Emscripten")
+					set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msimd128 ")
+				endif()
+			endif()  
         endif(NOSSE4)
     else(NOAVX)
         PCL_CHECK_FOR_AVX()
@@ -275,7 +290,6 @@
 
 #set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS}  -fopt-info -fopt-info-vec-missed")
 set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS}")
-MESSAGE ("Set default compiler flags to ${DEFAULT_COMPILE_FLAGS}")
 
 if(NOT DEFINED DEFAULT_COMPILE_FLAGS)
     set(DEFAULT_COMPILE_FLAGS "")
@@ -291,6 +305,11 @@
     set(DEFAULT_WARNING_FLAGS "")
 endif(NOT DEFINED DEFAULT_WARNING_FLAGS)
 
+if(CMAKE_SYSTEM_NAME STREQUAL "Emscripten")
+   set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -fwasm-exceptions ")
+endif()
+
+MESSAGE ("Set default compiler flags to ${DEFAULT_COMPILE_FLAGS}")
 
 #-------------------------------------------------------------------------------
 # OpenMP support
@@ -332,25 +351,3 @@
 	find_package(ZLIB 1.2.9)
 	if(${ZLIB_FOUND})
                 list(APPEND DEFAULT_LIBRARIES ${ZLIB_LIBRARIES})
-                include_directories(${ZLIB_INCLUDE_DIRS})
-		add_definitions (-D__ZLIB__)
-	endif(${ZLIB_FOUND})
-endif(NOT NOZLIB)
-
-
-
-#-------------------------------------------------------------------------------
-# uninstall target
-#-------------------------------------------------------------------------------
-configure_file(
-    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
-    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
-    IMMEDIATE @ONLY
-)
-add_custom_target(uninstall
-    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
-)
-
-find_program(NODE npm)
-if(NOT NODE)
-    message("Node not installed; API documentation will not be generated")

=== debian/changelog ===
hyphy (2.5.56+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.56+dfsg
  * rm_arch_specific_flags.patch: refresh.
  * use_debian_sqlite.patch: refresh.
  * set-zlib-after-setting-default-libs.patch: refresh.

 -- Étienne Mollier <emollier@debian.org>  Mon, 06 Nov 2023 23:01:33 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
                pkg-config,
                libpython3-all-dev,
                python3-all-dev:any,
-               swig,
                chrpath
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/hyphy

## hyphy 2.5.57+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -183,9 +183,9 @@
     endif()
 
     if(${GCC_VERSION} VERSION_LESS 6.0)
-      set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -D_FORTIFY_SOURCE=2   -Wall -std=gnu++14 -g ")
+      set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -D_FORTIFY_SOURCE=2   -Wall -std=gnu++14")
     else(${GCC_VERSION} VERSION_LESS 6.0)
-      set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -D_FORTIFY_SOURCE=2   -Wall -std=c++14 -g")
+      set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -D_FORTIFY_SOURCE=2   -Wall -std=c++14")
     endif(${GCC_VERSION} VERSION_LESS 6.0)
 
     #set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS}  -fopt-info")

=== debian/changelog ===
hyphy (2.5.57+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.57+dfsg

 -- Étienne Mollier <emollier@debian.org>  Fri, 24 Nov 2023 12:27:51 +0100

## hyphy 2.5.58+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -168,7 +168,7 @@
 #-------------------------------------------------------------------------------
 
 set(DEFAULT_WARNING_FLAGS " -w -Weffc++ -Wextra -Wall ")
-set(DEFAULT_DEBUG_WARNING_FLAGS "-Wall -Wno-int-to-pointer-cast -Wno-conversion-null -Wno-sign-compare -Wno-maybe-uninitialized")
+set(DEFAULT_DEBUG_WARNING_FLAGS "-Wall -Wno-int-to-pointer-cast -Wno-conversion-null -Wno-sign-compare")

=== debian/changelog ===
hyphy (2.5.58+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Fri, 15 Dec 2023 13:22:55 +0100

## hyphy 2.5.59%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: hyphy
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
            Étienne Mollier <emollier@debian.org>,
            Nilesh Patra <nilesh@debian.org>
